seo:
  title: The parallels between all-remote and cloud computing
  description: >-
    The rise of the remote workplace has many parallels with the rise of cloud
    computing.
  ogTitle: The parallels between all-remote and cloud computing
  ogDescription: >-
    The rise of the remote workplace has many parallels with the rise of cloud
    computing.
  noIndex: false
  ogImage: images/blog/hero-images/vintage-keyboards.jpg
  ogUrl: >-
    https://about.gitlab.com/blog/parallels-between-all-remote-and-cloud-computing
  ogSiteName: https://about.gitlab.com
  ogType: article
  canonicalUrls: >-
    https://about.gitlab.com/blog/parallels-between-all-remote-and-cloud-computing
  schema: |2-

                            {
            "@context": "https://schema.org",
            "@type": "Article",
            "headline": "The parallels between all-remote and cloud computing",
            "author": [{"@type":"Person","name":"Joyce Tompsett"}],
            "datePublished": "2019-10-29",
          }

content:
  title: The parallels between all-remote and cloud computing
  description: >-
    The rise of the remote workplace has many parallels with the rise of cloud
    computing.
  authors:
    - Joyce Tompsett
  heroImage: images/blog/hero-images/vintage-keyboards.jpg
  date: '2019-10-29'
  body: >

    As a GitLab team member, I’m frequently asked what it’s like to work in an
    [all-remote company](/company/culture/all-remote/). Folks are curious – they
    like the idea of being able to work from home, but the idea of a company
    that is *fully* remote is a strange and [wondrous
    thing](/blog/2019/08/15/all-remote-is-for-everyone/). Occasionally, I also
    encounter people for whom remote is an inconceivable concept. They argue it
    cannot be done, and won’t work, despite the fact that we (and a [growing
    list of others](/company/culture/all-remote/jobs/)) continue to thrive as a
    successful all-remote organization.


    The rise of the remote workplace draws many parallels to the rise of [cloud
    computing](/blog/2019/04/16/google-cloud-next-anthos-kubernetes/).


    ## Bringing cloud computing to the mainstream


    While many were comfortable with the idea of network computing for a long
    time, the notion of cloud computing started to appear with more frequency at
    the turn of the millennium, championed by companies like Google and Amazon.


    The notion behind cloud computing was that users could access their files,
    programs and even their compute resources over the network, and potentially
    from somewhere that was entirely removed from their physical location. There
    was no physical data center specific to that organization. The capability
    offered was important but the physical location of the resources was less
    relevant, as long as it met the users’ requirements.


    Initially, those requirements were challenging. Performance, reliability,
    and security were closely critiqued, but the *primary* challenge for humans
    was this: They would have to trust something they could not physically
    touch.


    As confidence and familiarity with cloud computing increased, software as a
    service (SaaS) companies emerged. Salesforce and Workday were designed to
    run in the cloud from inception – and as they became successful, a bevy of
    SaaS applications emerged. Many companies, GitLab included, offer options
    for both on-premises and SaaS versions of their applications, and
    discussions in data centers are about migrating or modernizing legacy
    mission-critical applications to a cloud environment – a once unthinkable
    idea.


    Cloud, once scoffed at by many, is now an expected part of most firms’
    [strategic technology
    portfolio](/blog/2019/05/13/kubernetes-chat-with-kelsey-hightower/).


    ![Focus on outputs, not inputs such as being seen in an
    office](https://about.gitlab.com/images/blogimages/working-remotely-el-salvador.jpg){:
    .shadow.medium.center}

    Focus on outputs, not inputs such as being seen in an office.

    {: .note.text-center}


    ## The evolution of the remote workplace


    A similar progression is occurring with remote work. Working off-premises
    has occurred for years, but it was typically reserved for certain positions
    or types of companies, and certainly was not a mainstream option.


    Many companies that offer remote work are
    [hybrid-remote](/company/culture/all-remote/hybrid-remote/), where an
    employee may work remotely, but the bulk of the company reports to a
    physical infrastructure, either centralized or distributed. The rise of
    [all-remote companies](/company/culture/all-remote/) such as GitLab is
    analogous to the rise of cloud-based companies such as Salesforce or
    Workday. We are starting to see other all-remote companies form and at
    GitLab we expect all-remote will become more common as we develop [best
    practices](/company/culture/all-remote/meetings/) and evolve more [efficient
    ways](/company/culture/all-remote/management/) of working remotely.


    We believe that [all-remote is the future of
    work](/blog/2019/08/15/all-remote-is-for-everyone/) – that it will be as
    likely that an organization is remote as not — particularly if physical
    manufacturing isn’t involved.


    ## What all-remote and cloud computing have in common


    In addition to the similarities in how they evolved, many of the benefits of
    cloud computing have analogues to those of remote work. Some of the cloud
    benefits we also see with remote working include:


    1. Increased agility: Remote work increases an organization’s flexibility to
    add, expand, or deploy employees in line with the company’s needs.

    1. Cost reductions: Many capital expenditures arguably become operational in
    all-remote workplaces. The lack of physical infrastructure to lease or buy
    and maintain offers cost savings to companies. This also lowers barriers to
    entry for new companies entering the market.

    1. Employee (compute) location independence: Distributed workplaces enables
    companies to attract and hire the best talent regardless of location, just
    as users can connect to the company from anywhere they have adequate
    Internet access.

    1. Productivity often increases as [asynchronous
    communication](/company/culture/all-remote/informal-communication/) allows
    multiple employees to work on the same data simultaneously, rather than
    waiting for synchronous meetings that function like bottlenecks.


    This innovative deployment of people is strikingly similar to the innovative
    deployment of cloud computing. The key challenge the same for cloud and
    remote: Organizations need to
    [trust](/company/culture/all-remote/management/) the model and realize the
    [benefits](/company/culture/all-remote/benefits/) for themselves.


    Cover image by [Darren Murph](https://twitter.com/darrenmurph)

    {: .note}
  category: Culture
  tags:
    - features
    - inside GitLab
    - remote work
config:
  slug: parallels-between-all-remote-and-cloud-computing
  featured: false
  template: BlogPost
